'use strict';

module.exports = {
  rules: {
    'function-name-case': 'lower',
    'indentation': 2,
    'string-quotes': 'single',
    'no-duplicate-selectors': true,
    'no-descending-specificity': false,
    'alpha-value-notation': ['percentage', { exceptProperties: ['/opacity/'] }],
    'color-hex-case': 'lower',
    'color-hex-length': 'short',
    'color-named': 'never',
    'custom-property-empty-line-before': [
      'always',
      {
        except: ['after-comment', 'after-custom-property', 'first-nested'],
      },
    ],
    'declaration-empty-line-before': [
      'always',
      {
        except: ['first-nested', 'after-comment'],
        ignore: ['after-declaration'],
      },
    ],
    'at-rule-no-unknown': null,
    'at-rule-empty-line-before': [
      'always',
      {
        except: ['after-comment', 'blockless-after-blockless', 'first-nested'],
        ignoreAtRules: ['else'],
      },
    ],
    'block-closing-brace-newline-after': [
      'always',
      {
        ignoreAtRules: ['if', 'else', 'else if'],
      },
    ],
    'no-empty-first-line': true,
    'selector-max-id': 0,
    'selector-max-universal': 2,
    'function-max-empty-lines': 0,
    'max-line-length': 150,
    'no-unknown-animations': true,
    'named-grid-areas-no-invalid': true,
    'string-no-newline': true,
    'function-calc-no-unspaced-operator': true,
    'shorthand-property-no-redundant-values': true,
    'declaration-block-no-redundant-longhand-properties': true,
    'value-list-comma-newline-before': 'never-multi-line',
    'selector-combinator-space-after': 'always',
    'declaration-colon-newline-after': 'never',
    'selector-attribute-quotes': 'always',
    'selector-attribute-operator-space-before': 'never',
    'selector-attribute-operator-space-after': 'never',
    'selector-attribute-brackets-space-inside': 'never',
    'declaration-block-trailing-semicolon': 'always',
    'declaration-no-important': true,
    'declaration-colon-space-before': 'never',
    'declaration-colon-space-after': 'always',
    'property-no-vendor-prefix': true,
    'number-leading-zero': 'never',
    'function-url-quotes': 'always',
    'font-weight-notation': 'numeric',
    'font-family-name-quotes': 'always-unless-keyword',
    'comment-whitespace-inside': 'always',
    'comment-empty-line-before': 'always',
    'at-rule-no-vendor-prefix': true,
    'rule-empty-line-before': [
      'always',
      {
        except: ['first-nested', 'after-single-line-comment'],
      },
    ],
    'declaration-property-unit-allowed-list': [
      {
        '/^line-height/': [],
        '/^animation/': ['ms'],
        '/^transition/': ['ms'],
      },
    ],
    'comment-word-disallowed-list': ['/[А-я]+/'],
    'at-rule-disallowed-list': ['import'],
    'selector-pseudo-element-colon-notation': 'double',
    'selector-pseudo-class-parentheses-space-inside': 'always',
    'media-feature-range-operator-space-before': 'always',
    'media-feature-range-operator-space-after': 'always',
    'media-feature-parentheses-space-inside': 'always',
    'media-feature-colon-space-before': 'never',
    'media-feature-colon-space-after': 'always',
  },
};
